# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_Integer Class Reference

The basis to define an integer attribute.
.

`#include <TDataStd_Integer.hxx>`

Inheritance diagram for TDataStd_Integer:

[legend]

## Public Member Functions

Standard_EXPORT void | Set (const Standard_Integer V)
Standard_EXPORT Standard_Integer | Get () const
| Returns the integer value contained in the attribute. .
Standard_EXPORT Standard_Boolean | IsCaptured () const
| Returns True if there is a reference on the same label .
Standard_EXPORT const Standard_GUID & | ID () const
| Returns the ID of the attribute. .
Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&With)
| Restores the backuped contents from <anattribute> into this one. It is used when aborting a transaction. .
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
| Returns an new empty attribute from the good end type. It is used by the copy algorithm. .
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&Into, const Handle(TDF_RelocationTable)&RT) const

This method is different from the "Copy" one,
because it is used when copying an attribute from
a source structure into a target structure. This
method may paste the contents of <me> into
<intoattribute>.
The given pasted attribute can be full or empty of
its contents. But don't make a NEW! Just set the
contents!
It is possible to use <arelocationtable> to
get/set the relocation value of a source
attribute.
.

virtual Standard_EXPORT Standard_OStream & | Dump (Standard_OStream &anOS) const
| Dumps the minimum information about <me> on <astream>. .
Standard_EXPORT | TDataStd_Integer ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT const Standard_GUID & | GetID ()
| class methods ============= //! Returns the GUID for integers.
static Standard_EXPORT Handle_TDataStd_Integer | Set (const TDF_Label &label, const Standard_Integer value)
| Finds, or creates, an Integer attribute and sets <value> the Integer attribute is returned. //! Integer methods =============== .

## Private Attributes

Standard_Integer | myValue

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_Integer::TDataStd_Integer | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_OStream& TDataStd_Integer::Dump | ( | Standard_OStream & | anOS | ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

Standard_EXPORT Standard_Integer TDataStd_Integer::Get | ( |  | ) | const

static Standard_EXPORT const Standard_GUID& TDataStd_Integer::GetID | ( |  | ) | `[static]`

Standard_EXPORT const TDataStd_Integer::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDF_Attribute.

Standard_EXPORT const Standard_GUID& TDataStd_Integer::ID | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT Standard_Boolean TDataStd_Integer::IsCaptured | ( |  | ) | const

Standard_EXPORT Handle_TDF_Attribute TDataStd_Integer::NewEmpty | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDataStd_Integer::Paste | ( | const Handle(TDF_Attribute)& | Into,
|  | const Handle(TDF_RelocationTable)& | RT
| ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDataStd_Integer::Restore | ( | const Handle(TDF_Attribute)& | With | ) | `[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDataStd_Integer::Set | ( | const Standard_Integer | V | ) |

static Standard_EXPORT Handle_TDataStd_Integer TDataStd_Integer::Set | ( | const TDF_Label & | label,
|  | const Standard_Integer | value
| ) | `[static]`

## Field Documentation

Standard_Integer TDataStd_Integer::myValue `[private]`

The documentation for this class was generated from the following file:

- TDataStd_Integer.hxx